aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--core/deps.mk2
-rw-r--r--erlang.mk2
2 files changed, 2 insertions, 2 deletions
diff --git a/core/deps.mk b/core/deps.mk
index 879cf43..b0fb2dc 100644
--- a/core/deps.mk
+++ b/core/deps.mk
@@ -35,7 +35,7 @@ PKG_FILE_URL ?= https://raw.githubusercontent.com/ninenines/erlang.mk/master/pac
deps:: $(ALL_DEPS_DIRS)
@for dep in $(ALL_DEPS_DIRS) ; do \
if [ -f $$dep/GNUmakefile ] || [ -f $$dep/makefile ] || [ -f $$dep/Makefile ] ; then \
- $(MAKE) -C $$dep ; \
+ $(MAKE) -C $$dep || exit $$? ; \
else \
echo "ERROR: No makefile to build dependency $$dep. Consider adding it to AUTOPATCH." ; \
exit 1 ; \
diff --git a/erlang.mk b/erlang.mk
index c68ef25..3f00e6a 100644
--- a/erlang.mk
+++ b/erlang.mk
@@ -140,7 +140,7 @@ PKG_FILE_URL ?= https://raw.githubusercontent.com/ninenines/erlang.mk/master/pac
deps:: $(ALL_DEPS_DIRS)
@for dep in $(ALL_DEPS_DIRS) ; do \
if [ -f $$dep/GNUmakefile ] || [ -f $$dep/makefile ] || [ -f $$dep/Makefile ] ; then \
- $(MAKE) -C $$dep ; \
+ $(MAKE) -C $$dep || exit $$? ; \
else \
echo "ERROR: No makefile to build dependency $$dep. Consider adding it to AUTOPATCH." ; \
exit 1 ; \